<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\DocStoreBundle\Workflow;

use Chill\DocStoreBundle\Entity\AccompanyingCourseDocument;
use Chill\MainBundle\Entity\Workflow\EntityWorkflow;
use Chill\MainBundle\Workflow\EntityWorkflowHandlerInterface;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\EntityRepository;

class AccompanyingCourseDocumentWorkflowHandler implements EntityWorkflowHandlerInterface
{
    private EntityRepository $repository;

    /**
     * TODO: injecter le repository directement.
     */
    public function __construct(EntityManagerInterface $em)
    {
        $this->repository = $em->getRepository(AccompanyingCourseDocument::class);
    }

    public function getRelatedEntity(EntityWorkflow $entityWorkflow): ?AccompanyingCourseDocument
    {
        return $this->repository->find($entityWorkflow->getRelatedEntityId());
    }

    public function getRoleShow(EntityWorkflow $entityWorkflow): ?string
    {
        return null;
    }

    public function getTemplate(EntityWorkflow $entityWorkflow, array $options = []): string
    {
        return '@ChillDocStore/AccompanyingCourseDocument/_workflow.html.twig';
    }

    public function getTemplateData(EntityWorkflow $entityWorkflow, array $options = []): array
    {
        return [
            'entity_workflow' => $entityWorkflow,
            'document' => $this->getRelatedEntity($entityWorkflow),
        ];
    }

    public function getTemplateTitle(EntityWorkflow $entityWorkflow, array $options = []): string
    {
        return '@ChillDocStore/AccompanyingCourseDocument/_workflow.title.html.twig';
    }

    public function getTemplateTitleData(EntityWorkflow $entityWorkflow, array $options = []): array
    {
        return $this->getTemplateData($entityWorkflow, $options);
    }

    public function supports(EntityWorkflow $entityWorkflow, array $options = []): bool
    {
        return $entityWorkflow->getRelatedEntityClass() === AccompanyingCourseDocument::class;
    }

    public function supportsFreeze(EntityWorkflow $entityWorkflow, array $options = []): bool
    {
        return true;
    }
}
