import {ShowHide} from 'ChillMainAssets/lib/show_hide/show_hide.js';

window.addEventListener('DOMContentLoaded', function() {
    let
        divTransitions = document.querySelector('#transitions'),
        futureDestUsersContainer = document.querySelector('#futureDestUsers')
    ;

    if (null !== divTransitions) {
        new ShowHide({
            load_event: null,
            froms: [divTransitions],
            container: [futureDestUsersContainer],
            test: function(divs, arg2, arg3) {
                for (let div of divs) {
                    for (let input of div.querySelectorAll('input')) {
                        if (input.checked) {
                            if (input.dataset.toFinal === "1") {
                                return false;
                            } else {
                                return true;
                            }
                        }
                    }
                }

                return true;
            },
        });
    }

    let
        transitionFilterContainer = document.querySelector('#transitionFilter'),
        transitions = document.querySelector('#transitions')
    ;

    if (null !== transitionFilterContainer) {
        transitions.querySelectorAll('.form-check').forEach(function(row) {

            const isForward = row.querySelector('input').dataset.isForward;

            new ShowHide({
                load_event: null,
                froms: [transitionFilterContainer],
                container: row,
                test: function (containers) {
                    for (let container of containers) {
                        for (let input of container.querySelectorAll('input')) {
                            if (input.checked) {
                                return isForward === input.value;
                            }
                        }
                    }
                },
                toggle_callback: function (c, dir) {
                    for (let div of c) {
                        let input = div.querySelector('input');
                        if ('hide' === dir) {
                            input.checked = false;
                            input.disabled = true;
                        } else {
                            input.disabled = false;
                        }
                    }
                },
            });
        });
    }

    // validate form
    let form = document.querySelector('form[name="workflow_step"]');

    if (form === null) {
        console.error('form to validate not found');
    }

    form.addEventListener('submit', function (event) {
        const datas = new FormData(event.target);

        if (datas.has('workflow_step[future_dest_users]')) {
            const dests = JSON.parse(datas.get('workflow_step[future_dest_users]'));
            if (dests === null || (dests instanceof Array && dests.length === 0)) {
                event.preventDefault();
                console.log('no users!');
                window.alert('Indiquez un utilisateur pour traiter la prochaine étape.');
            }
        }
    });

});
