<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Workflow;

use Chill\MainBundle\Entity\Workflow\EntityWorkflow;

interface EntityWorkflowHandlerInterface
{
    public function getRelatedEntity(EntityWorkflow $entityWorkflow): ?object;

    /**
     * Return a string representing the role required for seeing the workflow.
     *
     * Return Null if any check is required, or a role name. The voter will check for
     * authorization with the role as attribute, and the
     */
    public function getRoleShow(EntityWorkflow $entityWorkflow): ?string;

    public function getTemplate(EntityWorkflow $entityWorkflow, array $options = []): string;

    public function getTemplateData(EntityWorkflow $entityWorkflow, array $options = []): array;

    public function getTemplateTitle(EntityWorkflow $entityWorkflow, array $options = []): string;

    public function getTemplateTitleData(EntityWorkflow $entityWorkflow, array $options = []): array;

    public function supports(EntityWorkflow $entityWorkflow, array $options = []): bool;

    public function supportsFreeze(EntityWorkflow $entityWorkflow, array $options = []): bool;
}
