<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Household;

use Chill\PersonBundle\Entity\Household\Household;
use Symfony\Component\Validator\Validator\ValidatorInterface;

class MembersEditorFactory
{
    public function __construct(ValidatorInterface $validator)
    {
        $this->validator = $validator;
    }

    public function createEditor(?Household $household = null): MembersEditor
    {
        return new MembersEditor($this->validator, $household);
    }
}
