import { createApp } from "vue"
import { store } from "./store.js"
import { _createI18n } from 'ChillMainAssets/vuejs/_js/i18n'
import { visMessages } from './i18n'
import App from './App.vue'

import './vis-network'

const i18n = _createI18n(visMessages)
const container = document.getElementById('relationship-graph')
const persons = JSON.parse(container.dataset.persons)

persons.forEach(person => {
    store.dispatch('addPerson', person)
    store.commit('markInWhitelist', person)
})

const app = createApp({
    template: `<app :household_id="this.household_id"></app>`,
    data() {
        return {
            household_id: JSON.parse(container.dataset.householdId)
        }
    }
})
.use(store)
.use(i18n)
.component('app', App)
.mount('#relationship-graph')
